'use strict';

var utils = require('../utils/writer.js');
var GPSTracestracks = require('../service/GPSTracestracksService');

module.exports.routeDownloadPOST = function routeDownloadPOST (req, res, next) {
  var body = req.swagger.params['body'].value;
  GPSTracestracks.routeDownloadPOST(body)
    .then(function (response) {
      utils.writeJson(res, response);
    })
    .catch(function (response) {
      utils.writeJson(res, response);
    });
};

module.exports.routeUploadPOST = function routeUploadPOST (req, res, next) {
  var vehicleType = req.swagger.params['vehicleType'].value;
  var vehicleName = req.swagger.params['vehicleName'].value;
  var height = req.swagger.params['height'].value;
  var weight = req.swagger.params['weight'].value;
  var isAsync = req.swagger.params['isAsync'].value;
  var body = req.swagger.params['body'].value;
  GPSTracestracks.routeUploadPOST(vehicleType,vehicleName,height,weight,isAsync,body)
    .then(function (response) {
      utils.writeJson(res, response);
    })
    .catch(function (response) {
      utils.writeJson(res, response);
    });
};
