'use strict';

var utils = require('../utils/writer.js');
var OriginAndDestinationPair = require('../service/OriginAndDestinationPairService');

module.exports.gmapsPOST = function gmapsPOST (req, res, next) {
  var body = req.swagger.params['body'].value;
  OriginAndDestinationPair.gmapsPOST(body)
    .then(function (response) {
      utils.writeJson(res, response);
    })
    .catch(function (response) {
      utils.writeJson(res, response);
    });
};

module.exports.herePOST = function herePOST (req, res, next) {
  var body = req.swagger.params['body'].value;
  OriginAndDestinationPair.herePOST(body)
    .then(function (response) {
      utils.writeJson(res, response);
    })
    .catch(function (response) {
      utils.writeJson(res, response);
    });
};
