'use strict';


/**
 * Route polyline (from HERE/ Google map)
 * The response endpoint retrieves all tolls on the single route requested. You will not receive tolls for alternate routes possible between the origin and destination.
 *
 * body Body  (optional)
 * returns inline_response_200
 **/
exports.routePOST = function(body) {
  return new Promise(function(resolve, reject) {
    var examples = {};
    examples['application/json'] = {
  "summary" : {
    "rates" : {
      "CAD" : 1.342395,
      "INR" : 75.49545,
      "MXN" : 21.748097,
      "USD" : 1
    },
    "departure_time" : 1.551541566E9,
    "status" : "OK"
  },
  "route" : {
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "hasTolls" : true,
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  }
};
    if (Object.keys(examples).length > 0) {
      resolve(examples[Object.keys(examples)[0]]);
    } else {
      resolve();
    }
  });
}

